RelayAPI

Create a custom field definition

POST
/v1/custom-fields
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/custom-fields" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "text"  }'
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "type": "text",
  "options": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo